Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Flute Class Reference

STK flute physical model class. More...

`#include <Flute.h>`

Inheritance diagram for Flute:

List of all members.

## Public Member Functions

| Flute (MY_FLOAT lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Flute ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | setJetReflection (MY_FLOAT coefficient)
| Set the reflection coefficient for the jet delay (-1.0 - 1.0).
void | setEndReflection (MY_FLOAT coefficient)
| Set the reflection coefficient for the air column delay (-1.0 - 1.0).
void | setJetDelay (MY_FLOAT aRatio)
| Set the length of the jet delay in terms of a ratio of jet delay to air column delay lengths.
void | startBlowing (MY_FLOAT amplitude, MY_FLOAT rate)
| Apply breath velocity to instrument with given amplitude and rate of increase.
void | stopBlowing (MY_FLOAT rate)
| Decrease breath velocity with given rate of decrease.
void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
MY_FLOAT | tick ()
| Compute one output sample.
void | controlChange (int number, MY_FLOAT value)
| Perform the control change specified by number and value (0.0 - 128.0).

## Detailed Description

STK flute physical model class.

This class implements a simple flute physical model, as discussed by Karjalainen, Smith, Waryznyk, etc. The jet model uses a polynomial, a la Cook.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- Jet Delay = 2
- Noise Gain = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Breath Pressure = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 37 of file Flute.h.

The documentation for this class was generated from the following file:

- Flute.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.